=== debian/changelog ===
lastz (1.04.03-4) unstable; urgency=medium

  * Really fix build issue
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Thu, 15 Oct 2020 13:16:55 +0200

lastz (1.04.03-3) unstable; urgency=medium

  * Fix Build issue on a couple of architectures

 -- Andreas Tille <tille@debian.org>  Thu, 15 Oct 2020 11:30:04 +0200

lastz (1.04.03-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jun 2020 20:19:17 +0200

lastz (1.04.03-1) unstable; urgency=medium

  * Initial release (Closes: #962896)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jun 2020 21:36:37 +0200
