=== debian/control ===
Source: lastz
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/lastz
Vcs-Git: https://salsa.debian.org/med-team/lastz.git
Homepage: https://github.com/lastz/lastz
Rules-Requires-Root: no

Package: lastz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pairwise aligning DNA sequences
 LASTZ is a drop-in replacement for BLASTZ, and is backward compatible with
 BLASTZ’s command-line syntax. That is, it supports all of BLASTZ’s options
 but also has additional ones, and may produce slightly different alignment
 results.

Package: lastz-examples
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: pairwise aligning DNA sequences (examples and test scripts)
 LASTZ is a drop-in replacement for BLASTZ, and is backward compatible with
 BLASTZ’s command-line syntax. That is, it supports all of BLASTZ’s options
 but also has additional ones, and may produce slightly different alignment
 results.
 .
 This package contains example data and test scripts.
