=== debian/changelog ===
lastz (1.04.15-2) unstable; urgency=medium

  * Team upload.
  * Add gcc11.patch.  (Closes: #984081)
  * Edit propagate_cflags.patch to propagate CPPFLAGS as well.
  * d/control: lastz-examples explicitly depends on python3:any.

 -- Étienne Mollier <emollier@debian.org>  Tue, 02 Nov 2021 23:12:52 +0100

lastz (1.04.15-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + lastz-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Sep 2021 15:15:18 +0200
