=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/lastz
 Vcs-Git: https://salsa.debian.org/med-team/lastz.git
 Homepage: https://github.com/lastz/lastz
@@ -23,7 +23,8 @@
 
 Package: lastz-examples
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: python3:any, ${python3:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: pairwise aligning DNA sequences (examples and test scripts)
  LASTZ is a drop-in replacement for BLASTZ, and is backward compatible with
  BLASTZ’s command-line syntax. That is, it supports all of BLASTZ’s options
