## lastz 1.04.22

=== debian/changelog ===
lastz (1.04.22-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 12:25:49 +0100

lastz (1.04.22-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 07:58:31 +0200
