=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/lastz
 Vcs-Git: https://salsa.debian.org/med-team/lastz.git
 Homepage: https://github.com/lastz/lastz
