=== debian/changelog ===
lastz (1.04.52-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.04.52
  * d/patches/*: refresh following new upstream release.
  * nullchar.patch: new: fix build failure with gcc-15. (Closes: #1097151)
  * d/control: declare compliance to standards version 4.7.2.
  * d/patches/*: normalize Last-Update timestamp.
  * d/watch: move to v5 watch Github template.
  * d/control: drop Rules-Requires-Root: this is now default.

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Sep 2025 22:45:39 +0200
