=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/lastz
 Vcs-Git: https://salsa.debian.org/med-team/lastz.git
 Homepage: https://github.com/lastz/lastz
-Rules-Requires-Root: no
 
 Package: lastz
 Architecture: any
