=== debian/watch ===
Version: 5

Template: Github
Owner: lastz
Project: lastz
